Zum Inhalt springen

Überblick

  • Version: 2.0
  • Servers: https://api.xsolla.com/merchant/v2/

Diese API-Referenz beschreibt Endpunkte für die Verwaltung von Abonnements, Gutscheinen und Werbeaktionen. Weitere Informationen über Subscriptions finden Sie in der Produktanleitung und in der Begriffserläuterung.

OpenAPI-Beschreibung herunterladen
Sprachen
Server
Mock server
https://xsolla.redocly.app/_mock/de/api/subscriptions/
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen

Anfrage

Sicherheit
subscriptionsManagementJwtAuth
Pfad
subscription_idinteger\d+erforderlich
project_idinteger\d+erforderlich
Abfrage
limitinteger
offsetinteger
localestring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/de/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/plans_for_change?limit=0&offset=0&locale=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Antworten

List of available plans for change

Bodyapplication/json
has_morebooleanerforderlich
Beispiel: "false"
itemsArray of objects(PlanResponse)
Standard []
Antwort
application/json
{ "has_more": "false", "items": [] }

Anfrage

Sicherheit
subscriptionsManagementJwtAuth
Pfad
subscription_idinteger\d+erforderlich
plan_idinteger\d+erforderlich
project_idinteger\d+erforderlich
Abfrage
localestring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/de/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/plans_for_change/{plan_id}?locale=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Antworten

Available plans for change with payment details

Bodyapplication/json
chargeobject(Charge2)erforderlich
charge.​amountnumber(float)erforderlich
Beispiel: "4.99"
charge.​currencystringerforderlich
Beispiel: "USD"
charge.​setup_feenumber or null(float)
Beispiel: "0.99"
payment_detailsobject(PaymentDetails)erforderlich
payment_details.​surcharge(Surcharge (object or null))
Standard null
(Surcharge (object or null))
Standard null
payment_details.​unused(Unused (object or null))
Standard null
(Unused (object or null))
Standard null
periodobject(Period2)erforderlich
period.​unitstring or null
Standard null
Beispiel: "month"
period.​valueinteger or null
Standard null
Beispiel: "1"
plan_descriptionstringerforderlich
Beispiel: "Localized plan description"
plan_end_datestring or null(date-time)
Beispiel: "2031-04-11T13:51:02+03:00"
plan_external_idstringerforderlich
Beispiel: "PlanExternalId"
plan_group_idstring or null
Beispiel: "TestGroupId"
plan_idintegererforderlich
Beispiel: "54321"
plan_namestringerforderlich
Beispiel: "Localized plan name"
plan_start_datestring or null(date-time)
Beispiel: "2021-04-11T13:51:02+03:00"
plan_typestringerforderlich
Beispiel: "all"
promotionobject(Promotion)erforderlich
promotion.​promotion_charge_amountnumber or null(float)
Standard null
Beispiel: "3.99"
promotion.​promotion_remaining_chargesinteger or null
Standard null
Beispiel: "3"
trial_periodinteger or null
Beispiel: "7"
Antwort
application/json
{ "charge": { "amount": "4.99", "currency": "USD", "setup_fee": "0.99" }, "payment_details": { "surcharge": null, "unused": null }, "period": { "unit": "month", "value": "1" }, "plan_description": "Localized plan description", "plan_end_date": "2031-04-11T13:51:02+03:00", "plan_external_id": "PlanExternalId", "plan_group_id": "TestGroupId", "plan_id": "54321", "plan_name": "Localized plan name", "plan_start_date": "2021-04-11T13:51:02+03:00", "plan_type": "all", "promotion": { "promotion_charge_amount": "3.99", "promotion_remaining_charges": "3" }, "trial_period": "7" }